Subject: bug#35593: closed (Re: [bug#35593] [PATCH] uuid: Pad resulting FAT uuid string with leading zeroes.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 May 2019 10:12:02 +0000

Your bug report

#35593: [PATCH] uuid: Pad resulting FAT uuid string with leading zeroes.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35593: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35593
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#35593] [PATCH] uuid: Pad resulting FAT uuid string with leading zeroes.
From: Ludovic Courtès <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 May 2019 12:10:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> Fixes <https://bugs.gnu.org/35582>.
> Reported by sirgazil <[email-masked]>.
>
> * gnu/system/uuid.scm (fat-uuid->string): Pad resulting string with leading
> zeroes.

Bah, I feel guilty: I pushed the same patch with a test as
6c5790a2faf8ffc401e43b13425a707394e40874, and only now do I notice that
you had fixed it too.  My apologies!

Perhaps in the future you should send the patch directly in the bug
report?  That would increase the likelihood that I’ll notice and won’t
duplicate work.

(Perhaps in the future I should also pay more attention to email…
tricky!)

Ludo’.

Subject: [PATCH] uuid: Pad resulting FAT uuid string with leading zeroes.
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Cc: Danny Milosavljevic <[email-masked]>
Date: Sun, 5 May 2019 23:43:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixes <https://bugs.gnu.org/35582>.
Reported by sirgazil <[email-masked]>.

* gnu/system/uuid.scm (fat-uuid->string): Pad resulting string with leading
zeroes.
---
 gnu/system/uuid.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/system/uuid.scm b/gnu/system/uuid.scm
index f13960c3e9..7204d163d0 100644
--- a/gnu/system/uuid.scm
+++ b/gnu/system/uuid.scm
@@ -175,7 +175,7 @@ ISO9660 UUID representation."
   "Convert FAT32/FAT16 UUID, a 4-byte bytevector, to its string representation."
   (let ((high  (bytevector-uint-ref uuid 0 %fat-endianness 2))
         (low (bytevector-uint-ref uuid 2 %fat-endianness 2)))
-    (format #f "~:@(~x-~x~)" low high)))
+    (format #f "~:@(~4,'0x-~4,'0x~)" low high)))
 
 (define %fat-uuid-rx
   (make-regexp "^([[:xdigit:]]{4})-([[:xdigit:]]{4})$"))